package ebaiapi

import (
	"testing"

	"git.rosy.net.cn/baseapi/utils"
)

func TestSkuCategoryList(t *testing.T) {
	result, err := api.SkuCategoryList("", 1, 0)
	if err != nil {
		t.Fatal(err)
	} else {
		t.Log(utils.Format4Output(result, false))
	}
}

func TestSkuBrandList(t *testing.T) {
	result, err := api.SkuBrandList("中", 1)
	if err != nil {
		t.Fatal(err)
	} else {
		t.Log(utils.Format4Output(result, false))
	}
}

func TestPictureUpload(t *testing.T) {
	result, err := api.PictureUpload("http://image.jxc4.com/image/e078b225d7b232b4497a689dbf65159e.jpg", nil)
	if err != nil {
		t.Fatal(err)
	} else {
		t.Log(utils.Format4Output(result, false))
	}
}
